# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?__python2: %global __python2 %__python}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%if 0%{?fedora} >= 30 || 0%{?rhel} >= 8
%bcond_without python3
%else
%bcond_with python3
%endif

Name:           rhpkg
Version:        1.39
Release:        1%{?dist}
Summary:        Utility for interacting with rpm+git packaging systems

Group:          Applications/System
License:        GPLv2+
URL:            http://git.app.eng.bos.redhat.com/rcm/rhpkg.git
Source0:        %{name}-%{version}.tar.gz
BuildArch:      noarch
Patch0:         0001-No-rpmdiff-warning.patch


%if %{with python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-kobo
BuildRequires:  python3-rpkg >= 1.59-1
BuildRequires:  python3-bugzilla
BuildRequires:  python3-mock
BuildRequires:  python3-nose
BuildRequires:  python3-rhmsg >= 0.9
BuildRequires:  python3-requests

Requires:       brewkoji >= 1.17
Requires:       python3-kobo
Requires:       python3-rpkg >= 1.59-1
Requires:       python3-bugzilla
Requires:       python3-rhmsg >= 0.9
Requires:       redhat-rpm-config
Requires:       python3-requests
#Requires:       rpmdiff-remote  # TODO: uncomment after 'rpmdiff-remote' for RHEL-8 is available


%else
BuildRequires:  python-devel, python-setuptools
# We br these things for man page generation due to imports
BuildRequires:  kobo
BuildRequires:  python2-rpkg >= 1.59-1
BuildRequires:  python-bugzilla
BuildRequires:  python-mock
BuildRequires:  python-nose
BuildRequires:  python2-rhmsg >= 0.9
BuildRequires:  python-requests

%if 0%{?rhel} && 0%{?rhel} <= 6
BuildRequires:  python-unittest2
%endif

Requires:       brewkoji >= 1.17
Requires:       kobo
Requires:       python2-rpkg >= 1.59-1
Requires:       python-bugzilla
Requires:       python2-rhmsg >= 0.9
Requires:       redhat-rpm-config
Requires:       python-requests
#Requires:       rpmdiff-remote  # TODO: uncomment after 'rpmdiff-remote' for other than x86_64 arches is available
%endif

%description
A Red Hat plugin for the rpkg rpm+git packaging utility

%package stage
Summary:        Utility for interacting with rpm+git staging packaging systems
Group:          Applications/System
Requires:       brewkoji-stage
Requires:       %{name} = %{version}-%{release}

%description stage
A Red Hat plugin for the rpkg rpm+git packaging utility that works with staging
systems.

%prep
%autosetup -p1


%build
%if %{with python3}
%py3_build
%{__python3} doc/rhpkg_man_page.py > rhpkg.1
%else
%{__python2} setup.py build
%{__python2} doc/rhpkg_man_page.py > rhpkg.1
%endif


%install
%if %{with python3}
%py3_install
%else
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
%endif
%{__install} -d $RPM_BUILD_ROOT%{_mandir}/man1
%{__install} -p -m 0644 rhpkg.1 $RPM_BUILD_ROOT%{_mandir}/man1
# Duplicate man page for rhpkg-stage
ln -s rhpkg.1.gz %{buildroot}%{_mandir}/man1/rhpkg-stage.1.gz
# Remove unnecessary byte-compiled files
rm -f %{buildroot}%{_sysconfdir}/module-build-service/redhat.py?

# create bash completion for rhpkg-stage
cp %{buildroot}%{_sysconfdir}/bash_completion.d/rhpkg.bash %{buildroot}%{_sysconfdir}/bash_completion.d/rhpkg-stage.bash
cp %{buildroot}%{_sysconfdir}/bash_completion.d/rhpkg.bash %{buildroot}%{_sysconfdir}/bash_completion.d/rhpkg-sha512.bash
cp %{buildroot}%{_sysconfdir}/bash_completion.d/rhpkg.bash %{buildroot}%{_sysconfdir}/bash_completion.d/rhpkg-stage-sha512.bash
sed -i -- 's/complete -F _rhpkg rhpkg/complete -F _rhpkg rhpkg-stage/g' %{buildroot}%{_sysconfdir}/bash_completion.d/rhpkg-stage.bash
sed -i -- 's/complete -F _rhpkg rhpkg/complete -F _rhpkg rhpkg-sha512/g' %{buildroot}%{_sysconfdir}/bash_completion.d/rhpkg-sha512.bash
sed -i -- 's/complete -F _rhpkg rhpkg/complete -F _rhpkg rhpkg-stage-sha512/g' %{buildroot}%{_sysconfdir}/bash_completion.d/rhpkg-stage-sha512.bash


%check
%if %{with python3}
%{__python3} -m nose
%else
# cannot use python2 -m nose on EPEL 6 (Python 2.6)
nosetests
%endif

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README
%config(noreplace) %{_sysconfdir}/rpkg/rhpkg.conf
%config(noreplace) %{_sysconfdir}/rpkg/rhpkg-sha512.conf
%config(noreplace) %{_sysconfdir}/rpkg/rhpkg/certs/msg-client-rhpkg.key
%config(noreplace) %{_sysconfdir}/rpkg/rhpkg/certs/msg-client-rhpkg.pem
%config(noreplace) %{_sysconfdir}/module-build-service/redhat.py
# do not add byte-compiled files for fedoras and new RHELs (these are
# generated automatically in newer systems)
%if (0%{?rhel} && 0%{?rhel} < 8) || (0%{?fedora} && 0%{?fedora} == 28)
%config(noreplace) %{_sysconfdir}/module-build-service/redhat.pyc
%config(noreplace) %{_sysconfdir}/module-build-service/redhat.pyo
%endif
%{_sysconfdir}/bash_completion.d/rhpkg.bash
%{_sysconfdir}/bash_completion.d/rhpkg-sha512.bash
%{_bindir}/%{name}
%{_bindir}/%{name}-sha512
%{_mandir}/*/rhpkg.1.gz
# For noarch packages: sitelib
%if %{with python3}
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}-%{version}-py*.egg-info
%else
%{python2_sitelib}/%{name}
%{python2_sitelib}/%{name}-%{version}-py*.egg-info
%endif

%files stage
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/rpkg/rhpkg-stage.conf
%config(noreplace) %{_sysconfdir}/rpkg/rhpkg-stage-sha512.conf
%{_sysconfdir}/bash_completion.d/rhpkg-stage.bash
%{_sysconfdir}/bash_completion.d/rhpkg-stage-sha512.bash
%{_bindir}/%{name}-stage
%{_bindir}/%{name}-stage-sha512
%{_mandir}/man1/rhpkg-stage.1.gz


%changelog
* Tue Oct 22 2019 Ondřej Nosek <onosek@redhat.com> - 1.39-1
- Different Z-stream target behaviour (onosek)
- Use %dist macro from extra fields in Brew (onosek)
- verrel output for rhel-8.0.0 (onosek)
- Wrong callback in publican-build (onosek)
- rhpkg sources exits with 0 code even on failure (onosek)
- Sorting imports (onosek)
- publican-build needs string conversion in Python 2 (onosek)
- fixes AttributeError COMPOSE-3779 (cobrien)
- New remote address added (onosek)
- Fixing fast argument in build method (onosek)

* Wed Sep 25 2019 Ondřej Nosek <onosek@redhat.com> - 1.38-4
- removes rpmdiff-remote dependency, because its build is not available
- backporting verrel output for rhel-8.0.0

* Mon Aug 19 2019 Ondřej Nosek <onosek@redhat.com> - 1.38-3
- fixes AttributeError watch_tasks

* Thu Jul 25 2019 Ondřej Nosek <onosek@redhat.com> - 1.38-2
- Fixing fast argument in build method

* Mon Jul 22 2019 Ondřej Nosek <onosek@redhat.com> - 1.38-1
- test-submit-result: Add support for submitting results for modules (mvadkert)
- git-changelog: Fix running on Python 3 (onosek)
- Z-stream for RHEL-8 container targets (onosek)

* Wed Jun 12 2019 Ondřej Nosek <onosek@redhat.com> - 1.37-2
- Request specific version of rpkg

* Mon May 27 2019 Ondřej Nosek <onosek@redhat.com> - 1.37-1
- New %%dist rules in rpmdefines (onosek)
- Custom handler for koji watch_tasks (onosek)
- Add IPA.REDHAT.COM kerberos realm to config (lsedlar)
- Ignore files in a cloned repository - patterns (onosek)
- Z-stream for RHEL-8 targets (onosek)
- bash completion for scratch module builds (mmathesi)
- Remove the ability to parse a module's branch automatically to determine the
  base module stream override (mprahl)
- Anonymous koji session for some Brew operations (onosek)
- Exception when querying Brew extra fields (onosek)
- rhpkg: update URL to Covscan's wiki (kdudka)

* Thu Apr 18 2019 Ondřej Nosek <onosek@redhat.com> - 1.36-3
- Z-stream for RHEL-8 targets patch
- Changing python3-brewkoji dependency to brewkoji

* Wed Mar 27 2019 Ondrej Nosek <onosek@redhat.com> - 1.36-2
- Aplying patches:
- Anonymous koji session for some Brew operations
- Exception when querying Brew extra fields

* Wed Mar 13 2019 Ondřej Nosek <onosek@redhat.com> - 1.36-1
- Use extra field of Brew to query value %%dist (onosek)
- Adding missing config file to MANIFEST.in (onosek)
- Add ci-submit-result command for Manual Gating WF (mvadkert)
- Errata add-bugs fix for Python 3 (onosek)
- Add KOJI_EXTERNAL_REPO_URL_PREFIX in redhat.py (cqi)
- Argparse in Python3 patch (onosek)
- Use -z-candidate target for more branches (lsedlar)
- Use .el7ar %%dist tag for branch with ansible-runner prefix (pbabinca)
- Add config to parse `rhel-x.y.z` branch suffixes from module branches to
  determine the platform buildrequire (mprahl)
- Use unittest2 library in RHEL6 for more unittests (onosek)

* Thu Feb 28 2019 Ondřej Nosek <onosek@redhat.com> - 1.35-8
- Python 3 version for Fedora 30
- Revert recent change: "make sha512 default hash function for RHEL8"

* Wed Jan 23 2019 Ondřej Nosek <onosek@redhat.com> - 1.35-7
- Returning Python2 packages for Fedora
- Backport: Use .el7ar %%dist tag for branch with ansible-runner prefix

* Sun Jan 20 2019 Ondřej Nosek <onosek@redhat.com> - 1.35-6
- Adding accidentally dropped dist value

* Sun Jan 20 2019 Ondřej Nosek <onosek@redhat.com> - 1.35-5
- Adding patch related to previous commit

* Mon Jan 14 2019 Ondřej Nosek <onosek@redhat.com> - 1.35-4
- Backport: Add config to parse `rhel-x.y.z` branch suffixes from
  module branches to determine the platform buildrequire

* Wed Nov 21 2018 Ondřej Nosek <onosek@redhat.com> - 1.35-3
- Dropping python-saslwrapper dependency as it is unused
- Make sha512 default hash function for RHEL8
- Argparse in Python3 patch

* Fri Nov 09 2018 Ondřej Nosek <onosek@redhat.com> - 1.35-2
- Python3 package for Fedora and rhel8

* Thu Nov 01 2018 Ondřej Nosek <onosek@redhat.com> - 1.35-1
- Use external man generator code (onosek)
- Raise error if source-repos has invalid format (onosek)
- Patch rhpkg mockbuild for rhel6 (onosek)
- Don't wait for rpmdiff job. (onosek)
- Errata tool add-bugs fix (onosek)
- Prevent "ambiguous error" for arguments with the same prefix (onosek)
- Check bug state before adding to advisory (onosek)
- Allow modify Bugzilla 'Fixed In Version' field (onosek)
- Verification after unsuccessful clone (onosek)
- Set MBS_URL in redhat.py (onosek)
- Fix flake8 errors (cqi)
- Add conf and bash completion for Greenwave gating validation (cqi)
- Make rhpkg accept elrdy disttag (jracek)
- Use timestamp in RPM release built from source (cqi)

* Tue Oct 09 2018 Ondřej Nosek <onosek@redhat.com> - 1.34-4
- Errata tool add bugs fix

* Mon Aug 27 2018 Ondřej Nosek <onosek@redhat.com> - 1.34-3
- Set MBS_URL in redhat.py

* Tue Aug 21 2018 Ondřej Nosek <onosek@redhat.com> - 1.34-2
- Make rhpkg accept elrdy disttag

* Thu Jul 26 2018 Ondřej Nosek <onosek@redhat.com> - 1.34-1
- Compatible with new anongiturl format parameter (cqi)
- Fix sources to download from remote (cqi)
- Replace copr-cli download-build with custom download (cqi)
- Add script to build RPM from source (cqi)
- Renew UMB cert (cqi)
- Rhpkg remote add has wrong url (onosek)
- Handle failure during creating exploded sources (cqi)
- Log more debug info for exploded sources (cqi)
- Use new option --name (cqi)
- Imports are sorted (onosek)
- Add pipeline stage to run tests with released rpkg (cqi)
- Check code style with flake8 in Jenkins job (cqi)
- Point rhpkg-stage to stage bugzilla (lsedlar)
- Use -z-candidate target for released RHEL versions (lsedlar)
- Make code compatible with Python3 (onosek)
- Add Jenkinsfile (cqi)
- Pass all arguments to parent without inspection (lsedlar)
- Make unittests pass (onosek)
- Add configuration file for mbs-manager (lsedlar)
- Detect lookaside hash from sources file (lsedlar)
- Add configuration using SHA512 (lsedlar)
- Allow configuring lookaside hash function (lsedlar)
- Using koji_cli.koji.watch_tasks (cqi)
- Remove overrided register_container_build (cqi)
- Change compose id type from string to int (bfontecc)
- Use new UMB consumer queue name (cqi)
- Add compose-id and signing-intent params (bfontecc)
- Support EPEL dist-git branches (pniahodk)

* Thu Jun 28 2018 Lubomír Sedlář <lsedlar@redhat.com> - 1.33-9
- Add configuration for mbs-manager

* Tue Jun 19 2018 Lubomír Sedlář <lsedlar@redhat.com> - 1.33-8
- Fix local builds with new python-rpkg

* Thu Jun 14 2018 Lubomír Sedlář <lsedlar@redhat.com> - 1.33-7
- Detect lookaside hash from sources file
- Add a fix for unittests with latest python-rpkg

* Fri Apr 13 2018 Lubomír Sedlář <lsedlar@redhat.com> - 1.33-6
- Add executables using SHA512

* Wed Mar 07 2018 Chenxiong Qi <cqi@redhat.com> - 1.33-5
- Require pyrpkg 1.52 as the minimum version

* Fri Feb 09 2018 Chenxiong Qi <cqi@redhat.com> - 1.33-4
- Backport: Remove overrided register_container_build
- Backport: Using koji_cli.koji.watch_tasks

* Wed Jan 24 2018 Chenxiong Qi <cqi@redhat.com> - 1.33-3
- Backport: Add compose-id and signing-intent params
- Backport: Change compose id type from string to int

* Tue Dec 12 2017 Chenxiong Qi <cqi@redhat.com> - 1.33-2
- Backport: Use new UMB consumer queue name

* Wed Oct 25 2017 Chenxiong Qi <cqi@redhat.com> - 1.33-1
- Add support for module commands (mprahl)
- Stop defining rhel-alt macro (lsedlar)
- Change build target for containers (lsedlar)
- Point rhpkg-stage at actual stage dist-git (lsedlar)
- Fix data structure of arches for container-build (lucarval)
- Fix dist tag for ceph- branches (lsedlar)
- cli: support arches parameter (mlangsdo)
- Revert to original build target for containers (lsedlar)
- Support RHEL Alt branches (lsedlar)
- Configurable rpmdefines - COMOPSE-1600 (cqi)
- Configure namespaced lookaside (lsedlar)
- Use .el7ae %%dist tag for branch with ansible prefix (pbabinca)
- Add dist support for ceph (branto)
- Replace kojiconfig with kojiprofile - COMPOSE-1746 (cqi)
- Enable namespacing in tests (lsedlar)
- Fix commit_url to work with any namespace (lsedlar)

* Wed Sep 27 2017 Chenxiong Qi <cqi@redhat.com> - 1.32-9
- Change build target for containers

* Fri Sep 22 2017 Chenxiong Qi <cqi@redhat.com> - 1.32-8
- Fix dist tag for ceph- branches

* Mon Sep 04 2017 Lubomír Sedlář <lsedlar@redhat.com> - 1.32-7
- Revert to original build target for containers

* Mon Sep 04 2017 Lubomír Sedlář <lsedlar@redhat.com> - 1.32-6
- Support RHEL Alt branches

* Thu Jul 27 2017 Lubomír Sedlář <lsedlar@redhat.com> - 1.32-5
- Enable lookaside namespaces

* Thu May 25 2017 Lubomír Sedlář <lsedlar@redhat.com> - 1.32-4
- Move back to python-mock

* Mon May 22 2017 Lubomír Sedlář <lsedlar@redhat.com> - 1.32-3
- Fix commit_url for arbitrary namespaces

* Wed Apr 19 2017 Chenxiong Qi <cqi@redhat.com> - 1.32-2
- Add missing dependency rpmdiff-remote

* Wed Apr 19 2017 Chenxiong Qi <cqi@redhat.com> - 1.32-1
- Check isatty for docker run -t (cqi)
- Support Fedora dist-git branches - COMPOSE-1253 (cqi)
- Fix: use assertRaisesRegexp in test (cqi)
- Add -t to docker-run in runner.sh (cqi)
- Use Koji API to construct build Brew path - COMPOSE-1540 (cqi)
- Use correct ET URL - COMPOSE-1571 (cqi)
- Allow selecting dist to verify RCM Tools repo (cqi)
- Install python-argparse only in EL6 (cqi)
- Migrate to UMB - COMPOSE-527 (cqi)
- Use .el7at %%dist tag for branch with ansible-tower prefix (pbabinca)
- Include misc directory in source tarball (cqi)
- Refactor test suite - COMPOSE-1538 COMPOSE-1539 (cqi)
- Utility to verify rhpkg in RCM Tools repo (cqi)
- Deprecate tests command - COMPOSE-1303 (cqi)
- Schedule job via rpmdiff-remote CLI - COMPOSE-528 (cqi)
- Replace Fedora 24 with 25 to run tests (cqi)
- Fix pep8 errors (cqi)
- Use koji API read_config to read topdir - COMPOSE-1359 (cqi)
- Remove code that sends CI messages - COMPOSE-1352 (cqi)

* Fri Mar 03 2017 Chenxiong Qi <cqi@redhat.com> - 1.31-1
- Revert "Set base OS version of --release separately" (cqi)
- Add tests for command covscan - COMPOSE-1398 (cqi)
- Set base OS version of --release separately - COMPOSE-515 (cqi)
- Fix: mock bugzilla correctly - 1405 (cqi)
- Fix covscan tests to drop dependency of command which - COMPOSE-1392 (cqi)
- Remove unused code from cli.py (cqi)
- Use correct --product-version name in error message (cqi)
- Show correct build link in make-rpm-copr (cqi)
- Catch SSL verification error and show hint - COMPOSE-1277 (cqi)
- Add test for BrewService (cqi)
- Add more help text to --product-version (cqi)
- Add another test for bugzilla command (cqi)
- Fix: use correct spec file (cqi)
- Add build safety checks for bugzilla command - rhbz#1181666 (cqi)
- Update changelog that was made so far (cqi)
- Add build to more products - rhbz#1198646 (cqi)
- Update make-rpm-copr to use rhpkg.spec in source code (cqi)
- Add rhpkg.spec and remove osbs and rh-osbs - COMPOSE-1280 (cqi)
- Do not recommend using deprecated --dist (pgrunt)
- Add description to subcommands - rhbz#1248726 (cqi)
- Support distgit namespace - COMPOSE-940 (cqi)
- Add missing kerberos_realms in config - BZ#1406514 (cqi)

* Wed Jan 11 2017 Lubomír Sedlář <lsedlar@redhat.com> - 1.30-4
- Add back config patch

* Mon Jan 09 2017 Chenxiong Qi <cqi@redhat.com> - 1.30-3
- osbs and rh-osbs are not necessary and remove

* Wed Dec 21 2016 Chenxiong Qi <cqi@redhat.com> - 1.30-2
- Add missing kerberos_realms in config - BZ#1406514 (cqi)

* Wed Dec 14 2016 Chenxiong Qi <cqi@redhat.com> - 1.30-1
- Exit when build fails in Copr (cqi)
- Support exploded sources (cqi)
- Run tests in Fedora and RHEL6/7 (cqi)
- Remove duplicate check_repo (cqi)
- Use new errata tool stage domain (cqi)
- Fix: show correct remotes names (cqi)
- Fix warnings reported from shellcheck (cqi)
- Add script make-rpm-copr (cqi)
- Fix import path in rhpkg_man_page.py (cqi)
- New layout (cqi)
- Update to new rpkg (lsedlar)
- Minor fixes (cqi)
- Set user identity when making git repo for tests (cqi)
- Handle special case of multiple remotes (cqi)
- Connect qpid stage broker (cqi)
- Remove koji-rhel.conf from setup.py (cqi)
- Using brewkoji.conf (cqi)
- Add missing argument to install (cqi)
- Rewrite RPMDiff QPID message handler (cqi)

* Fri Aug 05 2016 Chenxiong Qi <cqi@redhat.com> - 1.29-2
- Mark pyrpkg-1.46 is the minimum version required by rhpkg since version 1.29

* Wed Jul 27 2016 cqi@redhat.com - 1.29-1
- add test utils.py to manifest (araszka)
- Detect proper build target for ZStream (cqi)
- fix: use config file in man page generator (araszka)
- mockbuild is able to download from remote (cqi)
- Remove support for BuildContainer task release opt (lucarval)
- Add support for Fedora and CentOS repositories (cqi)
- fix broken when non-ASCII in path (cqi)
- better action when detect failed peer ssl verification (cqi)
- provide more info to user if clone fails (cqi)
- Add support for BuildContainer task release opt (lucarval)
- handle ET REST API status code in addition to 422 (cqi)
- Call ET REST API in get_advisory and get_release method (cqi)
- New interface for errata command (araszka)
- refine query to Product Page to see if a version is released (cqi)
- switch to rpmdiff.engineering.redhat.com (cqi)
- fix error method call (cqi)
- handle rhemv-* dist-git branches for rhel5/6/7 (cqi)
- fix pep8 errors (cqi)
- remove osbs options from container-build command (cqi)
- allow max line length to be 100 characters (cqi)
- fix pep8 errors in errata_service.py (cqi)
- add tests for HTTPSession (cqi)
- fix pep8 errors in rhpkg/cli.py (cqi)
- add more tests for class ErrataManager and ET (cqi)
- update out-dated document of et_conf parameter (cqi)
- fix: cache erratum properly (cqi)
- unit tests for methods of ErrataManager (cqi)
- add missing raise when response is invalid from ET in _find_erratum (cqi)
- fix: missing return value from ET.change_state (cqi)
- add test cases for BugzillaService (cqi)
- add test config file to MANIFEST.in (araszka)
- add test case for Commands.compile (cqi)
- clean setup.py (cqi)

* Tue Apr 19 2016 Lubomír Sedlář <lsedlar@redhat.com> - 1.28-1
- add missing nocheck argument to Commands.compile (cqi)
- add stage config files and rhpkg-stage binary (araszka)
- Properly detect and tag RHS/RHGS branches. (jarrpa)
- Fix publican-build command (lsedlar)
- fix Python 2.6 incompatibility of _run_and_return_output (cqi)
- let git ignore egg-info directory (cqi)
- enable test_rpmdiff_service and add more (cqi)
- fix hardcoded covscan executable (cqi)
- fix inconsistent parameter name (cqi)
- update koji-rhel.conf for brew pdi migration (mikem)
- Fix test: add git user to tests (araszka)
- Enable subpackages use their config file (araszka)
- Covscan: enable to provide brew build as a base (araszka)
- edit bugzilla options interface (araszka)
- Suggest --dist option when can't get OS ver from branch (araszka)
- Errata: possible to add multiple builds to errata (araszka)
- suggest --product option when more product found at errata (araszka)
- Grammar check of errata and bugzilla commands help (araszka)
- Add message option to errata (araszka)
- fix unknown pyrpkg exception (araszka)
- Fix man page formatting (araszka)
- Change program name in man page (araszka)
- remove unnecessary have from rhpkg.bash (araszka)
- add new command to rhpkg.bash (araszka)
- bugzilla, errata: print help when no other options (araszka)

* Tue Mar 29 2016 Mike McLean - 1.27-2
- apply koji-rhel.conf update for brew pdi migration

* Tue Dec 15 2015 Lubomír Sedlář - 1.27-1
- rpmdiff waits for scratch build (araszka)
- errata: add new argument --state (araszka)
- Use correct dist tag for JBoss Core services (lsedlar)
- rhpkg: distinguish default and empty covscan args (kdudka)
- rhpkg: do not hard-wire production covscan_args (kdudka)

* Wed Jun 17 2015 Pavol Babincak <pbabinca@redhat.com> - 1.26-1
- container-build: don't override kojiconfig to brew-test (pbabinca)
- bugzilla: parse multiple bugs on single line (pbabinca)
- Bugzilla sub-command accepts multiple --bug options. (pspacek)
- Prevent DryRunService from logging one message multiple times. (pspacek)
- Log bug # when reporting error about incorrect bug state. (pspacek)
- Use koji as default method for container-build (pbabinca)
- Use shebang compatible with virtualenv (pbabinca)

* Tue Jun 02 2015 Pavol Babincak <pbabinca@redhat.com> - 1.25-1
- Use osbs as default method for container-build by now (pbabinca)
- Add brewkoji-test to BuildRequires (pbabinca)

* Tue May 26 2015 Pavol Babincak <pbabinca@redhat.com> - 1.24-1
- New command: container-build; uses brew-test instance (pbabinca)
- Update config for git-review to new project name (pbabinca)

* Mon Apr 27 2015 Pavol Babincak <pbabinca@redhat.com> - 1.23-1
- Remove --debug from the argparse as it is now defined in rpkg (pbabinca)
- Raise error if kerberos package is needed but not found (pbabinca)
- Don't crash if --comment is set but --fixed-in is missing (pbabinca)
- Use Errata Tool's new API for bug syncing (rmcgover)
- dist tag and target for sed-rhel-7 (dcallagh)

* Thu Feb 12 2015 Pavol Babincak <pbabinca@redhat.com> - 1.22-1
- Typo fix: ulrjoin -> urljoin (pbabinca)
- Username and password arguments for testing Errata Tool (test)
- prevent the test suite from accessing external services (mikeb)
- set required git config (mikeb)
- Send CI Qpid messages only if test-type or test-tier is set (pbabinca)

* Tue Feb 10 2015 Pavol Babincak <pbabinca@redhat.com> - 1.21-1
- Just a hint in config to use separate qpid instance for testing (pbabinca)
- Deharcode Qpid values and split building and sending messages (pbabinca)
- Refactor: remove unused imports (pbabinca)
- Explicitly list constructor arguments (pbabinca)
- send extra build information to the messagebus, so it can be routed to the CI
  system (mikeb)
- always acknowledge messages (mikeb)
- bugzilla: accept provided nvr for fixedin field (ttomecek)
- support "patches = ." and "specfile = ." in Maven .ini files (mikeb)
- Improve JSON handling for Errata Tool's API (rmcgover)
- set the origin url in the temp repos (mikeb)
- make it easier to setup multiple temporary repos (mikeb)
- test Maven builds and chain builds (mikeb)
- make FakeKojiSession a little easier to use (mikeb)
- get target by name instead of listing all targets (mikeb)
- test BrewService (mikeb)
- Fix typo: refer to correct option name in errata command help (pbabinca)
- Added option metavars for errata command (pbabinca)
- disttag support for Red Hat Storage (pbabinca)
- Project homepage update (pbabinca)

* Tue Dec 09 2014 Pavol Babincak <pbabinca@redhat.com> - 1.20-1
- run tests in %%check section (pbabinca)
- tests: use (compat) unittest2 if available (pbabinca)
- tests: rewrite qpid_service to look like unittest and disable it (pbabinca)
- tests: Use nose library (pbabinca)
- referencing self.nvr causes rhpkg to try to parse the specfile, don't do it
  in a Maven build (mikeb)
- move repo and target checking into a common function (it should really be in
  rpkg) (mikeb)
- add the maven-chain command (mikeb)
- maven-build: put options in groups relevant to --sources, --ini, and common
  options (mikeb)
- maven-build: don't allow params to be passed on the command-line when using
  --ini (they would be ignored anyway) (mikeb)
- maven-build: add support for providing build parameters via .ini files
  (mikeb)
- typo: Erraturm -> Erratum (ttomecek)
- typo: patche(s) -> patch(es) (ttomecek)
- covscan: distinguish rhpkg scans from others (ttomecek)
- improve error message when rpmdiff request fails (ttomecek)
- improve errata rpmdiff watch: be more error prone (ttomecek)
- errata: finding advisories: improve display by adding product id (ttomecek)
- if --debug is specified, show whole traceback (ttomecek)
- use different staging for errata and bugzilla (ttomecek)
- bug: covscan command: argument program -> executable (ttomecek)

* Thu Oct 30 2014 Pavol Babincak <pbabinca@redhat.com> - 1.19-1
- Four experimental commands:
- RFE: add bugzilla management (rhbz#797521) (ttomecek)
- RFE: implement scheduling of ad-hoc rpmdiff runs (ttomecek)
- RFE: integrate management of erratas (ttomecek)
- RFE: integrate covscan into rhpkg (ttomecek)
- Refactor: deduplicate remote & branch_merge (pbabinca)
- Default name of executable if isn't possible to determine it (pbabinca)
- Allow executable name to be used as key for configuration (pbabinca)
- Move rhpkg to own module (pbabinca)
- Git repo URL update (pbabinca)
- Config file to autodetect Gerrit instance (pbabinca)
- spec file removed from source tarball (pbabinca)
- Be more verbose when kerberos auth fails (pbabinca)
- Spec file moved to Red Hat dist-git (pbabinca)

* Mon Feb 24 2014 Pavol Babincak <pbabinca@redhat.com> - 1.18-2
- Fix repository URL

* Mon Feb 24 2014 Pavol Babincak <pbabinca@redhat.com> - 1.18-1
- Include string conversion in log format (rhbz#964391)
- Properly split string into multiple lines

* Mon Nov 25 2013 Mike Bonnet <mikeb@redhat.com> - 1.17-1
- support more than one digit in minor release numbers

* Mon Nov 25 2013 Mike Bonnet <mikeb@redhat.com> - 1.16-1
- use the Product Pages xmlrpc interface

* Wed Nov 13 2013 Mike Bonnet <mikeb@redhat.com> - 1.15-1
- Allow distro identifier to appear anywhere in the branch name

* Tue Apr 17 2012 Jesse Keating <jkeating@redhat.com> - 1.14-1
- rhpkg publican-build: improve error handling of bad branch names (atowns)

* Mon Mar 26 2012 Jesse Keating <jkeating@redhat.com> - 1.13-1
- Avoid reading Fedora koji configs (jkeating)
- Add support for satellite dist tags (jkeating)

* Mon Mar 12 2012 Jesse Keating <jkeating@redhat.com> - 1.12-1
- Add support for eng-rhel-6 dist tag of el6eng (jkeating)
- Replace -c with -C for the --config option (jkeating)

* Thu Mar 01 2012 Jesse Keating <jkeating@redhat.com> - 1.11-1
- Fix the eso-rhel-6 disttag (jkeating)
- Make sure we return exit codes right (jkeating)
- More completion fixes (jkeating)
- Fix up the mockbuild completion (jkeating)
- Add support for the builddir option (jkeating)
- Simplify test for rhpkg availability. (ville.skytta)
- Fix ~/... path completion. (ville.skytta)
- Add --raw to bash completion (jkeating)
- Be quiet when possible. (jkeating)
- Fix srpm hashsum calls (jkeating)
- Handle the jb-eap-?-rhel-? branch dist tags. (ticket #5) (jkeating)
- Add a --released and --unreleased option. (jkeating)

* Thu Feb 09 2012 Jesse Keating <jkeating@redhat.com> - 1.10-1
- Generate kernel configs when dealing with old ones (jkeating)

* Mon Jan 30 2012 Jesse Keating <jkeating@redhat.com> - 1.9-1
- Don't require brewkoji just yet

* Mon Jan 30 2012 Jesse Keating <jkeating@redhat.com> - 1.8-1
- Use topurl instead of pkgurl.  Fixes mock-config (jkeating)
- Require brewkoji for the config (jkeating)
- Fix chainbuild in rhpkg (ticket #3) (jkeating)
- add publican-build command to ease docs building (atowns)

* Tue Jan 24 2012 Jesse Keating <jkeating@redhat.com> - 1.7-1
- Update bash completion file (jkeating)
- Fix maven typo (mikeb)

* Fri Jan 20 2012 Jesse Keating <jkeating@redhat.com> - 1.6-1
- Fix the tests command (jkeating)
- Make scratch-build handle our fast option (jkeating)
- Require the newer pyrpkg with newstyle classes (jkeating)

* Sat Jan 14 2012 Jesse Keating <jkeating@redhat.com> - 1.5-1
- Add a --fast option for build (jkeating)
- don't munge the build target if it was specified on the command-line (mikeb)
- add wrapper-rpm command (mikeb)
- Add gitbuildhash to the bash completion (jkeating)
- Add a tests command (jkeating)

* Wed Nov 30 2011 Jesse Keating <jkeating@redhat.com> - 1.4-1
- Grab user name from kerberos (jkeating)
- mock config is now defined in pyrpkg (jkeating)

* Tue Oct 25 2011 Jesse Keating <jkeating@redhat.com> - 1.3-1
- Fix up maven options (jkeating)
- Rename config file and update for RH production (jkeating)
- Use rpms/ in the git url, to make way for tests/ too. (jkeating)
- Add ability to see if a product is released or not. (jkeating)
- Add more help for mockbuild (jkeating)
- Add a bash completion for --root in mockbuild (jkeating)
- Add an option to specify mockbuild root conf (jkeating)
- Add mockbuild (jkeating)
- Use the right class location (jkeating)
- Require redhat-rpm-config (jkeating)
- Don't attempt to expand branch names when cloning (jkeating)

* Fri Aug 19 2011 Jesse Keating <jkeating@redhat.com> - 1.2-1
- Catch exceptions raised by client (jkeating)
- Exit properly (jkeating)

* Mon Aug 01 2011 Jesse Keating <jkeating@redhat.com> - 1.1-1
- Add brew-path to the bash completion page (jkeating)

* Wed Jun 15 2011 Jesse Keating <jkeating@redhat.com> - 1.0-1
- Initial package


